// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/SplitBodies.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.marker;


@SuppressWarnings("fallthrough")
public class SplitBodies extends JFlexAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int inHeader = 2;
  public static final int inBody = 4;
  public static final int inBodyStart = 6;
  public static final int inAnnexHeader = 8;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2,  2,  3,  3,  4, 4
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\266\u0200"+
    "\10\u0600\u1020\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\3\1\4\1\5\22\0\1\6"+
    "\5\0\1\7\6\0\1\10\1\11\1\12\1\13\1\14"+
    "\10\15\1\16\1\17\1\20\1\0\1\21\2\0\1\22"+
    "\1\23\1\24\1\25\1\26\2\27\1\30\1\31\1\27"+
    "\1\32\1\33\1\34\1\35\1\36\1\37\1\40\1\41"+
    "\1\42\1\43\1\44\1\45\1\27\1\46\1\27\1\47"+
    "\3\0\1\50\1\10\1\0\1\51\1\23\1\52\1\25"+
    "\1\26\2\27\1\30\1\31\1\27\1\32\1\53\1\34"+
    "\1\35\1\54\1\55\1\40\1\41\1\56\1\57\1\44"+
    "\1\45\1\27\1\46\1\27\1\47\12\0\1\3\44\0"+
    "\1\50\5\0\1\50\11\0\1\50\5\0\6\27\1\0"+
    "\11\27\1\0\6\27\2\0\4\27\3\0\6\27\1\0"+
    "\11\27\1\0\6\27\2\0\4\27\53\0\2\27\6\0"+
    "\2\60\66\0\2\27\4\0\2\27\17\0\1\61\u0188\0"+
    "\2\27\216\0\2\27\42\0\2\27\104\0\1\1\20\0"+
    "\2\10\23\0\2\3\u0100\0\1\62\325\0\u0100\3";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1792];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\5\0\1\1\1\2\2\1\2\2\2\3\2\4\1\2"+
    "\165\0\1\5\10\0\1\6\4\0\6\7\11\0\1\7"+
    "\16\0\1\5\13\0\1\5\11\0\2\6\71\0\1\6"+
    "\47\0\1\5\12\0\1\5\12\0\2\6\12\0\1\6"+
    "\10\0\3\7\10\0\2\7\13\0\1\5\22\0\1\6"+
    "\2\0\1\6\42\0\1\5\14\0\1\6\26\0\2\5"+
    "\5\0\1\5\2\0\2\6\5\0\1\6\2\0\2\7"+
    "\3\0\2\7\3\0\1\7\35\0\1\10\33\0\1\11"+
    "\22\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[565];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\63\0\146\0\231\0\314\0\377\0\u0132\0\u0165"+
    "\0\u0198\0\377\0\u01cb\0\377\0\u01fe\0\377\0\u0165\0\u0231"+
    "\0\u0165\0\u0264\0\u0297\0\u02ca\0\u02fd\0\u0330\0\u0363\0\u0396"+
    "\0\u03c9\0\u03fc\0\u042f\0\u0462\0\u0495\0\u04c8\0\u04fb\0\u052e"+
    "\0\u0561\0\u0594\0\u05c7\0\u05fa\0\u062d\0\u0660\0\u0693\0\u06c6"+
    "\0\u06f9\0\u072c\0\u075f\0\u0792\0\u07c5\0\u07f8\0\u082b\0\u085e"+
    "\0\u0891\0\u08c4\0\u08f7\0\u092a\0\u095d\0\u0990\0\u09c3\0\u09f6"+
    "\0\u0a29\0\u0a5c\0\u0a8f\0\u0ac2\0\u0af5\0\u0b28\0\u0b5b\0\u0b8e"+
    "\0\u0bc1\0\u0bf4\0\u0c27\0\u0c5a\0\u0c8d\0\u0cc0\0\u0cf3\0\u0d26"+
    "\0\u0d59\0\u0d8c\0\u0dbf\0\u0df2\0\u0e25\0\u0e58\0\u0e8b\0\u0ebe"+
    "\0\u0ef1\0\u0f24\0\u0f57\0\u0f8a\0\u0fbd\0\u0ff0\0\u1023\0\u1056"+
    "\0\u1089\0\u10bc\0\u10ef\0\u1122\0\u1155\0\u1188\0\u11bb\0\u11ee"+
    "\0\u1221\0\u1254\0\u1287\0\u12ba\0\u12ed\0\u1320\0\u1353\0\u1386"+
    "\0\u13b9\0\u13ec\0\u141f\0\u1452\0\u1485\0\u14b8\0\u14eb\0\u151e"+
    "\0\u1551\0\u1584\0\u15b7\0\u15ea\0\u161d\0\u1650\0\u1683\0\u16b6"+
    "\0\u16e9\0\u171c\0\u174f\0\u1782\0\u17b5\0\u17e8\0\u181b\0\u184e"+
    "\0\u1881\0\u18b4\0\u18e7\0\u191a\0\u194d\0\u1980\0\u19b3\0\u19e6"+
    "\0\u1a19\0\u1a4c\0\u1a7f\0\u1ab2\0\u1ae5\0\u1b18\0\u1b4b\0\u1b7e"+
    "\0\u1bb1\0\u1be4\0\u1c17\0\377\0\u1c4a\0\u1c7d\0\u1cb0\0\u1ce3"+
    "\0\u1d16\0\u1d49\0\u1d7c\0\u1daf\0\u1de2\0\u1e15\0\u1e48\0\u1e7b"+
    "\0\u1eae\0\u1ee1\0\u1e48\0\u1f14\0\u1f47\0\u1f7a\0\u1d16\0\u1fad"+
    "\0\u1fe0\0\u2013\0\u2046\0\u2079\0\u20ac\0\u20df\0\u2112\0\u2145"+
    "\0\u2178\0\377\0\u21ab\0\u21de\0\u2211\0\u2244\0\u2277\0\u22aa"+
    "\0\u22dd\0\u2310\0\u2343\0\u2376\0\u23a9\0\u23dc\0\u240f\0\u2442"+
    "\0\u2475\0\u24a8\0\u24db\0\u250e\0\u2541\0\u2574\0\u25a7\0\377"+
    "\0\u25da\0\u260d\0\u2640\0\u2673\0\u26a6\0\u26d9\0\u270c\0\u273f"+
    "\0\u2772\0\u27a5\0\u27d8\0\u280b\0\u283e\0\u2871\0\u1c4a\0\u1cb0"+
    "\0\u1ce3\0\u28a4\0\u28d7\0\u290a\0\u293d\0\u2970\0\u29a3\0\u29d6"+
    "\0\u2a09\0\u2a3c\0\u2a6f\0\u2aa2\0\u2ad5\0\u2b08\0\u2b3b\0\u2b6e"+
    "\0\u2ba1\0\u2bd4\0\u2c07\0\u2c3a\0\u2c6d\0\u2ca0\0\u2cd3\0\u2d06"+
    "\0\u2d39\0\u2d6c\0\u2d9f\0\u2dd2\0\u2e05\0\u2e38\0\u2e6b\0\u2e9e"+
    "\0\u2ed1\0\u2f04\0\u2f37\0\u2f6a\0\u2f9d\0\u23dc\0\u2fd0\0\u3003"+
    "\0\u3036\0\u3069\0\u309c\0\u30cf\0\u3102\0\u3135\0\u3168\0\u319b"+
    "\0\u31ce\0\u3201\0\u3234\0\u3267\0\u329a\0\u32cd\0\u3300\0\u3333"+
    "\0\u3366\0\u3399\0\u33cc\0\u33ff\0\u3432\0\u3465\0\u3498\0\u34cb"+
    "\0\u34fe\0\u3531\0\u3564\0\u3597\0\u35ca\0\u35fd\0\u3630\0\u3663"+
    "\0\u3696\0\u36c9\0\u36fc\0\u372f\0\u3762\0\u3795\0\u37c8\0\u37fb"+
    "\0\u382e\0\u3861\0\u3894\0\u38c7\0\u38fa\0\u392d\0\u3960\0\u3993"+
    "\0\u39c6\0\u39f9\0\u3a2c\0\u3a5f\0\u3a92\0\u3ac5\0\u3af8\0\u3b2b"+
    "\0\u3b5e\0\u3b91\0\u3bc4\0\u3bf7\0\u3c2a\0\u3c5d\0\u3c90\0\u3cc3"+
    "\0\u3cf6\0\u3d29\0\u3d5c\0\u3d8f\0\u3dc2\0\u3df5\0\u3e28\0\u3e5b"+
    "\0\u3e8e\0\u3ec1\0\u3ef4\0\u3f27\0\u3f5a\0\u3f8d\0\u3fc0\0\u3ff3"+
    "\0\u4026\0\u4059\0\u408c\0\u40bf\0\u40f2\0\u4125\0\u4158\0\u418b"+
    "\0\u41be\0\u41f1\0\u4224\0\u4257\0\u428a\0\u42bd\0\u42f0\0\u4323"+
    "\0\u4356\0\u4389\0\u43bc\0\u43ef\0\u4422\0\u4455\0\u4488\0\u44bb"+
    "\0\u44ee\0\u4521\0\u4554\0\u4587\0\u45ba\0\u45ed\0\u4620\0\u4653"+
    "\0\u4686\0\u46b9\0\u46ec\0\u471f\0\u4752\0\u4785\0\u47b8\0\u47eb"+
    "\0\u481e\0\u4851\0\u4884\0\u48b7\0\u48ea\0\u491d\0\u4950\0\u4983"+
    "\0\u49b6\0\u49e9\0\u4a1c\0\u4a4f\0\u4a82\0\u4ab5\0\u4ae8\0\u4b1b"+
    "\0\u4b4e\0\u4b81\0\u4bb4\0\u4be7\0\u4c1a\0\u4c4d\0\u4c80\0\u4cb3"+
    "\0\u4ce6\0\u4d19\0\u4d4c\0\u4125\0\u4158\0\u4d7f\0\u4db2\0\u4de5"+
    "\0\u4e18\0\u4e4b\0\u4e7e\0\u4eb1\0\u4ee4\0\u4356\0\u4389\0\u4f17"+
    "\0\u4f4a\0\u4f7d\0\u4fb0\0\u4fe3\0\u5016\0\u5049\0\u507c\0\u50af"+
    "\0\u50e2\0\u5115\0\u5148\0\u517b\0\u51ae\0\u51e1\0\u5214\0\u5247"+
    "\0\u527a\0\u52ad\0\u52e0\0\u5313\0\u5346\0\u5379\0\u53ac\0\u53df"+
    "\0\u5412\0\u5445\0\u5478\0\u54ab\0\u54de\0\u5511\0\u5544\0\u5577"+
    "\0\u55aa\0\u55dd\0\u5610\0\u5643\0\u5676\0\u56a9\0\u56dc\0\u570f"+
    "\0\u5742\0\u5775\0\u57a8\0\u57db\0\u580e\0\u5841\0\u5874\0\u58a7"+
    "\0\u58da\0\u590d\0\u5940\0\u5973\0\u59a6\0\u59d9\0\u5a0c\0\u5a3f"+
    "\0\u5a72\0\u5aa5\0\u5ad8\0\u5b0b\0\u5b3e\0\u5b71\0\u4ee4\0\u5643"+
    "\0\u5ba4\0\u5bd7\0\u5c0a\0\u5c3d\0\u5c70\0\u5ca3\0\u5cd6\0\u5d09"+
    "\0\u5d09\0\u5d3c\0\u5d6f\0\u5da2\0\u5dd5\0\u5e08\0\u5e3b\0\u5e6e"+
    "\0\u5ea1\0\u5ed4\0\u5f07\0\u5f3a\0\u5f6d\0\u5fa0\0\u5fd3\0\u6006"+
    "\0\u6039\0\u606c\0\u609f\0\u60d2\0\u6105\0\u6138\0\u616b\0\u619e"+
    "\0\u61d1\0\u5c3d\0\u5c70\0\u6204\0\u6237\0\u626a\0\377\0\u629d"+
    "\0\u62d0\0\u6303\0\u6336\0\u6369\0\u639c\0\u63cf\0\u6402\0\u6435"+
    "\0\u6468\0\u649b\0\u64ce\0\u6501\0\u6534\0\u6567\0\u659a\0\u65cd"+
    "\0\u6600\0\u6633\0\u6666\0\u6699\0\u66cc\0\u66ff\0\u6732\0\u6765"+
    "\0\u6798\0\u67cb\0\377\0\u67fe\0\u6831\0\u6864\0\u6897\0\u68ca"+
    "\0\u68fd\0\u6930\0\u6963\0\u6996\0\u69c9\0\u69fc\0\u6a2f\0\u6a62"+
    "\0\u6a95\0\u6ac8\0\u6afb\0\u6b2e\0\u6b61";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[565];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\1\6\2\7\1\6\3\7\1\10\10\6\1\11\42\6"+
    "\20\12\1\13\42\12\20\14\1\15\42\14\1\16\2\7"+
    "\1\16\3\7\1\17\53\16\20\12\1\20\42\12\64\0"+
    "\2\7\1\0\3\7\1\21\110\0\1\22\55\0\1\23"+
    "\3\0\1\24\56\0\1\25\62\0\1\26\44\0\1\27"+
    "\73\0\1\30\55\0\1\31\105\0\1\32\37\0\1\33"+
    "\62\0\1\34\100\0\1\35\70\0\1\36\13\0\1\36"+
    "\2\0\1\36\40\0\1\37\15\0\1\37\37\0\1\40"+
    "\27\0\1\40\37\0\1\41\15\0\1\41\44\0\1\42"+
    "\15\0\1\42\46\0\1\43\60\0\1\44\15\0\1\44"+
    "\6\0\1\45\2\0\1\45\1\0\1\45\1\46\11\0"+
    "\1\47\57\0\1\50\45\0\1\51\2\0\1\51\1\0"+
    "\1\51\1\52\11\0\1\53\42\0\1\54\2\0\1\54"+
    "\1\0\1\54\1\55\11\0\1\56\73\0\1\57\27\0"+
    "\1\57\17\0\1\7\43\0\21\45\1\47\41\45\35\0"+
    "\1\60\47\0\1\61\1\0\1\62\6\0\1\63\3\0"+
    "\1\64\2\0\1\65\1\66\50\0\1\67\26\0\1\67"+
    "\2\0\21\51\1\53\41\51\35\0\1\70\47\0\1\71"+
    "\1\0\1\72\6\0\1\73\3\0\1\74\2\0\1\75"+
    "\1\76\17\0\21\54\1\56\41\54\35\0\1\77\47\0"+
    "\1\100\56\0\1\101\67\0\1\102\100\0\1\103\43\0"+
    "\1\104\26\0\1\104\42\0\1\105\26\0\1\105\24\0"+
    "\1\106\26\0\1\106\37\0\1\107\65\0\1\110\26\0"+
    "\1\110\37\0\1\111\50\0\1\112\100\0\1\113\43\0"+
    "\1\114\26\0\1\114\42\0\1\115\26\0\1\115\24\0"+
    "\1\116\26\0\1\116\37\0\1\117\65\0\1\120\26\0"+
    "\1\120\25\0\1\121\100\0\1\122\52\0\1\123\26\0"+
    "\1\123\44\0\1\124\13\0\1\124\2\0\1\124\44\0"+
    "\1\125\13\0\1\125\42\0\1\126\15\0\1\126\30\0"+
    "\1\127\100\0\1\130\70\0\1\131\56\0\1\132\13\0"+
    "\1\132\46\0\1\133\13\0\1\133\45\0\1\134\13\0"+
    "\1\134\2\0\1\134\44\0\1\135\13\0\1\135\42\0"+
    "\1\136\15\0\1\136\30\0\1\137\100\0\1\140\70\0"+
    "\1\141\56\0\1\142\13\0\1\142\45\0\1\143\13\0"+
    "\1\143\2\0\1\143\44\0\1\144\13\0\1\144\40\0"+
    "\1\145\64\0\1\146\15\0\1\146\13\0\1\147\2\0"+
    "\1\147\17\0\1\150\26\0\1\150\33\0\1\110\4\0"+
    "\1\151\15\0\1\151\3\0\1\110\43\0\1\152\64\0"+
    "\1\153\13\0\1\153\34\0\1\154\26\0\1\154\40\0"+
    "\1\155\15\0\1\155\34\0\1\156\73\0\1\157\15\0"+
    "\1\157\13\0\1\160\2\0\1\160\17\0\1\161\26\0"+
    "\1\161\33\0\1\120\4\0\1\162\15\0\1\162\3\0"+
    "\1\120\43\0\1\163\64\0\1\164\13\0\1\164\34\0"+
    "\1\165\26\0\1\165\40\0\1\166\15\0\1\166\45\0"+
    "\1\167\15\0\1\167\13\0\1\170\2\0\1\170\17\0"+
    "\1\171\26\0\1\171\45\0\1\172\13\0\1\172\22\0"+
    "\1\45\44\0\1\147\2\0\1\147\1\0\1\147\1\173"+
    "\4\0\1\174\27\0\1\175\42\0\1\176\25\0\1\176"+
    "\11\0\1\177\2\0\1\177\1\0\1\177\1\200\111\0"+
    "\1\201\15\0\1\201\34\0\1\201\72\0\1\202\15\0"+
    "\1\202\41\0\1\203\17\0\1\203\51\0\1\204\13\0"+
    "\1\204\2\0\1\204\20\0\1\51\44\0\1\160\2\0"+
    "\1\160\1\0\1\160\1\205\4\0\1\206\27\0\1\207"+
    "\42\0\1\210\25\0\1\210\11\0\1\211\2\0\1\211"+
    "\1\0\1\211\1\212\111\0\1\213\15\0\1\213\34\0"+
    "\1\213\72\0\1\214\15\0\1\214\41\0\1\215\17\0"+
    "\1\215\26\0\1\54\44\0\1\170\2\0\1\170\1\0"+
    "\1\170\1\216\4\0\2\217\26\0\1\220\42\0\1\221"+
    "\25\0\1\221\36\0\1\222\71\0\1\223\25\0\1\224"+
    "\1\225\2\224\1\225\1\226\1\225\1\227\1\230\1\231"+
    "\1\224\3\0\4\224\1\0\1\232\1\0\1\233\7\0"+
    "\1\234\1\235\1\0\1\236\1\0\1\237\1\240\1\241"+
    "\1\242\2\0\1\224\3\0\1\235\1\0\1\237\1\240"+
    "\1\224\1\243\1\224\35\0\1\244\63\0\1\245\15\0"+
    "\1\245\7\0\1\177\2\0\1\177\1\0\1\177\1\200"+
    "\4\0\1\246\14\0\1\247\5\0\1\250\15\0\1\250"+
    "\42\0\1\251\26\0\1\252\2\0\1\252\1\0\1\252"+
    "\1\253\110\0\1\254\63\0\1\151\15\0\1\151\51\0"+
    "\1\255\13\0\1\255\40\0\1\256\26\0\1\257\2\0"+
    "\1\257\1\0\1\257\1\260\1\261\1\262\11\0\1\263"+
    "\1\0\1\264\7\0\1\265\1\266\1\0\1\267\1\0"+
    "\1\270\1\271\1\272\1\273\6\0\1\266\1\0\1\270"+
    "\1\271\1\0\1\270\36\0\1\274\63\0\1\275\15\0"+
    "\1\275\7\0\1\211\2\0\1\211\1\0\1\211\1\212"+
    "\4\0\1\276\14\0\1\262\5\0\1\277\15\0\1\277"+
    "\42\0\1\300\26\0\1\301\2\0\1\301\1\0\1\301"+
    "\1\302\110\0\1\303\63\0\1\162\15\0\1\162\43\0"+
    "\1\304\26\0\1\305\2\0\1\305\1\0\1\305\1\306"+
    "\1\307\1\310\1\0\3\311\5\0\1\312\1\0\1\313"+
    "\7\0\1\314\1\315\1\0\1\316\1\0\1\317\1\320"+
    "\1\321\1\322\6\0\1\315\1\0\1\317\1\320\1\0"+
    "\1\317\36\0\1\323\63\0\1\324\15\0\1\324\50\0"+
    "\1\325\13\0\1\325\2\0\1\325\24\0\1\326\40\0"+
    "\1\327\2\0\1\327\1\0\1\327\1\330\1\331\12\0"+
    "\1\232\1\0\1\233\7\0\1\234\1\235\1\0\1\236"+
    "\1\0\1\237\1\240\1\241\1\242\6\0\1\235\1\0"+
    "\1\237\1\240\1\0\1\237\3\0\1\224\115\0\1\332"+
    "\26\0\1\331\2\0\1\331\1\0\1\331\1\333\13\0"+
    "\1\232\1\0\1\233\7\0\1\234\1\235\1\0\1\236"+
    "\1\0\1\237\1\240\1\241\1\242\6\0\1\235\1\0"+
    "\1\237\1\240\1\0\1\237\1\0\5\224\1\226\5\224"+
    "\3\0\4\224\26\0\1\224\7\0\3\224\31\0\1\334"+
    "\26\0\1\334\30\0\1\335\15\0\1\336\54\0\1\337"+
    "\15\0\1\337\32\0\1\340\25\0\1\340\54\0\1\341"+
    "\44\0\1\342\62\0\1\343\71\0\1\344\56\0\1\345"+
    "\26\0\1\345\33\0\1\346\26\0\1\346\35\0\1\347"+
    "\17\0\1\347\7\0\5\224\1\226\5\224\3\0\4\224"+
    "\26\0\1\231\1\247\2\0\1\247\3\0\3\224\41\0"+
    "\1\350\44\0\1\351\40\0\1\252\2\0\1\252\1\0"+
    "\1\252\1\253\4\0\1\352\14\0\1\247\5\0\1\250"+
    "\15\0\1\250\42\0\1\353\53\0\1\151\56\0\1\354"+
    "\26\0\1\354\34\0\1\355\40\0\1\257\2\0\1\257"+
    "\1\0\1\257\1\260\1\261\12\0\1\263\1\0\1\264"+
    "\7\0\1\265\1\266\1\0\1\267\1\0\1\270\1\271"+
    "\1\272\1\273\6\0\1\266\1\0\1\270\1\271\1\0"+
    "\1\270\36\0\1\356\26\0\1\261\2\0\1\261\1\0"+
    "\1\261\1\357\13\0\1\263\1\0\1\264\7\0\1\265"+
    "\1\266\1\0\1\267\1\0\1\270\1\271\1\272\1\273"+
    "\6\0\1\266\1\0\1\270\1\271\1\0\1\270\32\0"+
    "\1\360\26\0\1\360\30\0\1\361\15\0\1\362\54\0"+
    "\1\363\15\0\1\363\32\0\1\364\25\0\1\364\54\0"+
    "\1\365\44\0\1\366\62\0\1\367\71\0\1\370\56\0"+
    "\1\371\26\0\1\371\33\0\1\372\26\0\1\372\35\0"+
    "\1\373\17\0\1\373\57\0\2\262\2\0\1\262\47\0"+
    "\1\374\44\0\1\375\40\0\1\301\2\0\1\301\1\0"+
    "\1\301\1\302\4\0\1\376\14\0\1\262\5\0\1\277"+
    "\15\0\1\277\42\0\1\377\53\0\1\162\57\0\1\u0100"+
    "\40\0\1\305\2\0\1\305\1\0\1\305\1\306\1\307"+
    "\12\0\1\312\1\0\1\313\7\0\1\314\1\315\1\0"+
    "\1\316\1\0\1\317\1\320\1\321\1\322\6\0\1\315"+
    "\1\0\1\317\1\320\1\0\1\317\36\0\1\u0101\26\0"+
    "\1\307\2\0\1\307\1\0\1\307\1\u0102\13\0\1\312"+
    "\1\0\1\313\7\0\1\314\1\315\1\0\1\316\1\0"+
    "\1\317\1\320\1\321\1\322\6\0\1\315\1\0\1\317"+
    "\1\320\1\0\1\317\2\0\1\305\2\0\1\305\1\0"+
    "\1\305\1\306\1\307\1\310\1\0\3\u0103\5\0\1\312"+
    "\1\0\1\313\7\0\1\314\1\315\1\0\1\316\1\0"+
    "\1\317\1\320\1\321\1\322\6\0\1\315\1\0\1\317"+
    "\1\320\1\0\1\317\32\0\1\u0104\26\0\1\u0104\30\0"+
    "\1\u0105\15\0\1\u0106\54\0\1\u0107\15\0\1\u0107\32\0"+
    "\1\u0108\25\0\1\u0108\54\0\1\u0109\44\0\1\u010a\62\0"+
    "\1\u010b\71\0\1\u010c\56\0\1\u010d\26\0\1\u010d\33\0"+
    "\1\u010e\26\0\1\u010e\35\0\1\u010f\17\0\1\u010f\52\0"+
    "\1\u0110\13\0\1\u0110\45\0\1\u0111\13\0\1\u0111\2\0"+
    "\1\u0111\24\0\1\u0112\74\0\1\u0113\67\0\1\u0114\13\0"+
    "\1\u0114\2\0\1\u0114\25\0\1\u0115\25\0\1\u0115\46\0"+
    "\1\344\15\0\1\344\43\0\1\u0116\7\0\1\u0117\60\0"+
    "\1\u0117\13\0\1\u0117\25\0\1\u0118\6\0\1\u0119\17\0"+
    "\1\u0118\6\0\1\u0119\27\0\1\u011a\3\0\1\u011b\2\0"+
    "\1\u011c\2\0\1\u011d\6\0\1\u011e\6\0\1\u011d\2\0"+
    "\1\u011b\43\0\1\u011f\46\0\1\u0120\17\0\1\u0121\41\0"+
    "\1\u0122\25\0\1\u0122\34\0\1\u0123\25\0\1\u0123\46\0"+
    "\1\147\15\0\1\147\37\0\1\u0124\26\0\1\u0124\44\0"+
    "\1\u0125\13\0\1\u0125\2\0\1\u0125\51\0\2\247\2\0"+
    "\1\247\31\0\1\u0126\106\0\1\u0127\55\0\1\u0128\13\0"+
    "\1\u0128\2\0\1\u0128\24\0\1\u0129\74\0\1\u012a\67\0"+
    "\1\u012b\13\0\1\u012b\2\0\1\u012b\25\0\1\u012c\25\0"+
    "\1\u012c\46\0\1\370\15\0\1\370\43\0\1\u012d\7\0"+
    "\1\u012e\60\0\1\u012e\13\0\1\u012e\25\0\1\u012f\6\0"+
    "\1\u0130\17\0\1\u012f\6\0\1\u0130\27\0\1\u0131\3\0"+
    "\1\u0132\2\0\1\u0133\2\0\1\u0134\6\0\1\u0135\6\0"+
    "\1\u0134\2\0\1\u0132\43\0\1\u0136\46\0\1\u0137\17\0"+
    "\1\u0138\41\0\1\u0139\25\0\1\u0139\34\0\1\u013a\25\0"+
    "\1\u013a\46\0\1\160\15\0\1\160\37\0\1\u013b\26\0"+
    "\1\u013b\44\0\1\u013c\13\0\1\u013c\2\0\1\u013c\24\0"+
    "\1\u013d\101\0\1\u013e\13\0\1\u013e\2\0\1\u013e\24\0"+
    "\1\u013f\74\0\1\u0140\26\0\1\305\2\0\1\305\1\0"+
    "\1\305\1\306\1\307\1\310\1\0\3\u0141\5\0\1\312"+
    "\1\0\1\313\7\0\1\314\1\315\1\0\1\316\1\0"+
    "\1\317\1\320\1\321\1\322\6\0\1\315\1\0\1\317"+
    "\1\320\1\0\1\317\43\0\1\u0142\13\0\1\u0142\2\0"+
    "\1\u0142\25\0\1\u0143\25\0\1\u0143\46\0\1\u010c\15\0"+
    "\1\u010c\43\0\1\u0144\7\0\1\u0145\60\0\1\u0145\13\0"+
    "\1\u0145\25\0\1\u0146\6\0\1\u0147\17\0\1\u0146\6\0"+
    "\1\u0147\27\0\1\u0148\3\0\1\u0149\2\0\1\u014a\2\0"+
    "\1\u014b\6\0\1\u014c\6\0\1\u014b\2\0\1\u0149\43\0"+
    "\1\u014d\46\0\1\u014e\17\0\1\u014f\41\0\1\u0150\25\0"+
    "\1\u0150\34\0\1\u0151\25\0\1\u0151\46\0\1\170\15\0"+
    "\1\170\30\0\1\u0152\26\0\1\u0152\50\0\1\u0153\15\0"+
    "\1\u0153\47\0\1\u0154\13\0\1\u0154\2\0\1\u0154\24\0"+
    "\1\u0155\37\0\1\224\1\u0156\2\224\1\u0156\1\226\1\u0156"+
    "\1\u0157\1\224\1\u0158\1\224\3\0\4\224\23\0\1\u0121"+
    "\2\0\1\224\7\0\3\224\31\0\1\u0159\26\0\1\u0159"+
    "\33\0\1\u015a\26\0\1\u015a\33\0\1\u015b\4\0\1\u015c"+
    "\15\0\1\u015c\3\0\1\u015b\43\0\1\u015d\1\0\1\240"+
    "\13\0\1\240\40\0\1\u015e\53\0\1\335\62\0\1\u015f"+
    "\62\0\1\u0160\77\0\1\u011e\13\0\1\u011e\30\0\1\u011a"+
    "\3\0\1\u015b\26\0\1\u015b\2\0\1\224\1\u0161\2\224"+
    "\1\u0161\1\226\1\u0161\1\u0162\1\224\1\u0158\1\224\3\0"+
    "\4\224\3\0\1\u011a\17\0\1\u0121\2\0\1\224\7\0"+
    "\3\224\26\0\1\u0163\65\0\1\335\26\0\1\335\33\0"+
    "\1\u0164\26\0\1\u0164\40\0\1\247\15\0\1\247\42\0"+
    "\1\u0165\65\0\1\u0166\15\0\1\u0166\47\0\1\u0167\13\0"+
    "\1\u0167\2\0\1\u0167\32\0\1\u0168\26\0\1\u0168\41\0"+
    "\1\u0169\15\0\1\u0169\47\0\1\u016a\13\0\1\u016a\2\0"+
    "\1\u016a\24\0\1\u016b\40\0\1\u016c\2\0\1\u016c\1\0"+
    "\1\u016c\1\u016d\1\0\1\u016e\33\0\1\u0138\46\0\1\u016f"+
    "\26\0\1\u016f\33\0\1\u0170\26\0\1\u0170\33\0\1\u0171"+
    "\4\0\1\u0172\15\0\1\u0172\3\0\1\u0171\43\0\1\u0173"+
    "\1\0\1\271\13\0\1\271\40\0\1\u0174\53\0\1\361"+
    "\62\0\1\u0175\62\0\1\u0176\77\0\1\u0135\13\0\1\u0135"+
    "\30\0\1\u0131\3\0\1\u0171\26\0\1\u0171\3\0\1\u0177"+
    "\2\0\1\u0177\1\0\1\u0177\1\u0178\1\0\1\u016e\13\0"+
    "\1\u0131\17\0\1\u0138\43\0\1\u0179\65\0\1\361\26\0"+
    "\1\361\33\0\1\u017a\26\0\1\u017a\40\0\1\262\15\0"+
    "\1\262\42\0\1\u017b\65\0\1\u017c\15\0\1\u017c\47\0"+
    "\1\u017d\13\0\1\u017d\2\0\1\u017d\40\0\1\u017e\15\0"+
    "\1\u017e\47\0\1\u017f\13\0\1\u017f\2\0\1\u017f\24\0"+
    "\1\u0180\40\0\1\305\2\0\1\305\1\0\1\305\1\306"+
    "\1\307\1\310\1\0\3\u0181\5\0\1\312\1\0\1\313"+
    "\7\0\1\314\1\315\1\0\1\316\1\0\1\317\1\320"+
    "\1\321\1\322\6\0\1\315\1\0\1\317\1\320\1\0"+
    "\1\317\2\0\1\u0182\2\0\1\u0182\1\0\1\u0182\1\u0183"+
    "\1\0\1\u0184\33\0\1\u014f\46\0\1\u0185\26\0\1\u0185"+
    "\33\0\1\u0186\26\0\1\u0186\33\0\1\u0187\4\0\1\u0188"+
    "\15\0\1\u0188\3\0\1\u0187\43\0\1\u0189\1\0\1\320"+
    "\13\0\1\320\40\0\1\u018a\53\0\1\u0105\62\0\1\u018b"+
    "\62\0\1\u018c\77\0\1\u014c\13\0\1\u014c\30\0\1\u0148"+
    "\3\0\1\u0187\26\0\1\u0187\3\0\1\u018d\2\0\1\u018d"+
    "\1\0\1\u018d\1\u018e\1\0\1\u0184\13\0\1\u0148\17\0"+
    "\1\u014f\43\0\1\u018f\65\0\1\u0105\26\0\1\u0105\33\0"+
    "\1\u0190\26\0\1\u0190\40\0\1\310\15\0\1\310\55\0"+
    "\1\u0191\32\0\1\147\102\0\1\u0192\15\0\1\u0192\47\0"+
    "\1\u0193\13\0\1\u0193\2\0\1\u0193\2\0\1\u0194\2\0"+
    "\1\u0194\1\0\1\u0194\1\u0195\35\0\1\u0121\52\0\1\u0196"+
    "\25\0\5\224\1\226\5\224\1\0\2\u0197\4\224\26\0"+
    "\1\224\7\0\3\224\26\0\1\u0198\62\0\1\u0199\62\0"+
    "\1\u019a\61\0\1\u011a\100\0\1\u019b\13\0\1\u019b\30\0"+
    "\1\u011a\12\0\1\u019c\4\0\1\u0121\57\0\1\u019d\13\0"+
    "\1\u019d\2\0\1\u019d\34\0\1\u0114\17\0\1\u0114\10\0"+
    "\1\u019e\2\0\1\u019e\1\0\1\u019e\1\u019f\15\0\1\u011a"+
    "\17\0\1\u0121\52\0\1\u01a0\51\0\1\u0115\20\0\1\u0121"+
    "\4\0\1\u0115\36\0\1\u01a1\34\0\2\247\4\0\55\247"+
    "\17\0\1\177\102\0\1\u01a2\15\0\1\u01a2\43\0\1\u01a3"+
    "\15\0\1\u01a3\25\0\1\160\102\0\1\u01a4\15\0\1\u01a4"+
    "\47\0\1\u01a5\13\0\1\u01a5\2\0\1\u01a5\2\0\1\u016c"+
    "\2\0\1\u016c\1\0\1\u016c\1\u016d\35\0\1\u0138\52\0"+
    "\1\u01a6\41\0\2\u01a7\73\0\1\u01a8\62\0\1\u01a9\62\0"+
    "\1\u01aa\61\0\1\u0131\100\0\1\u01ab\13\0\1\u01ab\30\0"+
    "\1\u0131\12\0\1\u01ac\4\0\1\u0138\57\0\1\u01ad\13\0"+
    "\1\u01ad\2\0\1\u01ad\34\0\1\u012b\17\0\1\u012b\10\0"+
    "\1\u0177\2\0\1\u0177\1\0\1\u0177\1\u0178\15\0\1\u0131"+
    "\17\0\1\u0138\52\0\1\u01ae\51\0\1\u012c\20\0\1\u0138"+
    "\4\0\1\u012c\36\0\1\u01af\34\0\2\262\4\0\55\262"+
    "\17\0\1\211\102\0\1\u01b0\15\0\1\u01b0\24\0\1\170"+
    "\102\0\1\u01b1\15\0\1\u01b1\47\0\1\u01b2\13\0\1\u01b2"+
    "\2\0\1\u01b2\2\0\1\305\2\0\1\305\1\0\1\305"+
    "\1\306\1\307\1\310\11\0\1\312\1\0\1\313\7\0"+
    "\1\314\1\315\1\0\1\316\1\0\1\317\1\320\1\321"+
    "\1\322\6\0\1\315\1\0\1\317\1\320\1\0\1\317"+
    "\2\0\1\u0182\2\0\1\u0182\1\0\1\u0182\1\u0183\35\0"+
    "\1\u014f\52\0\1\u01b3\41\0\2\u01b4\73\0\1\u01b5\62\0"+
    "\1\u01b6\62\0\1\u01b7\61\0\1\u0148\100\0\1\u01b8\13\0"+
    "\1\u01b8\30\0\1\u0148\12\0\1\u01b9\4\0\1\u014f\57\0"+
    "\1\u01ba\13\0\1\u01ba\2\0\1\u01ba\34\0\1\u0142\17\0"+
    "\1\u0142\10\0\1\u018d\2\0\1\u018d\1\0\1\u018d\1\u018e"+
    "\15\0\1\u0148\17\0\1\u014f\52\0\1\u01bb\51\0\1\u0143"+
    "\20\0\1\u014f\4\0\1\u0143\36\0\1\u01bc\65\0\1\u01bd"+
    "\26\0\1\u01bd\21\0\1\327\102\0\1\u01be\15\0\1\u01be"+
    "\30\0\1\u01bf\37\0\5\224\1\226\3\224\1\231\1\224"+
    "\3\0\4\224\26\0\1\224\7\0\3\224\35\0\1\u0199"+
    "\4\0\1\u01c0\13\0\1\u01c0\2\0\1\u01c0\43\0\1\u01c0"+
    "\13\0\1\u01c0\2\0\1\u01c0\36\0\1\u0199\4\0\1\u01c1"+
    "\13\0\1\u01c1\2\0\1\u01c1\27\0\1\u01c2\100\0\1\u01c3"+
    "\17\0\1\u019d\2\0\1\u019d\1\0\1\u019d\1\u01c4\15\0"+
    "\1\u011a\60\0\1\u01c5\74\0\1\u01c6\4\0\1\u01c7\13\0"+
    "\1\u01c7\2\0\1\u01c7\20\0\1\252\100\0\1\u01c8\44\0"+
    "\1\257\102\0\1\u01c9\15\0\1\u01c9\30\0\1\u01ca\50\0"+
    "\1\262\106\0\1\u01a9\4\0\1\u01cb\13\0\1\u01cb\2\0"+
    "\1\u01cb\43\0\1\u01cb\13\0\1\u01cb\2\0\1\u01cb\36\0"+
    "\1\u01a9\4\0\1\u01cc\13\0\1\u01cc\2\0\1\u01cc\27\0"+
    "\1\u01cd\100\0\1\u01ce\17\0\1\u01ad\2\0\1\u01ad\1\0"+
    "\1\u01ad\1\u01cf\15\0\1\u0131\60\0\1\u01d0\74\0\1\u01d1"+
    "\4\0\1\u01d2\13\0\1\u01d2\2\0\1\u01d2\20\0\1\301"+
    "\62\0\1\305\102\0\1\u01d3\15\0\1\u01d3\30\0\1\u01d4"+
    "\50\0\1\310\106\0\1\u01b6\4\0\1\u01d5\13\0\1\u01d5"+
    "\2\0\1\u01d5\43\0\1\u01d5\13\0\1\u01d5\2\0\1\u01d5"+
    "\36\0\1\u01b6\4\0\1\u01d6\13\0\1\u01d6\2\0\1\u01d6"+
    "\27\0\1\u01d7\100\0\1\u01d8\17\0\1\u01ba\2\0\1\u01ba"+
    "\1\0\1\u01ba\1\u01d9\15\0\1\u0148\60\0\1\u01da\74\0"+
    "\1\u01db\4\0\1\u01dc\13\0\1\u01dc\2\0\1\u01dc\37\0"+
    "\1\u01dd\15\0\1\u01dd\25\0\1\331\105\0\1\u01de\13\0"+
    "\1\u01de\2\0\1\u01de\1\0\5\224\1\226\3\224\1\u0158"+
    "\1\224\3\0\4\224\26\0\1\224\7\0\4\224\1\u01df"+
    "\2\224\1\u01df\1\226\1\u01df\1\u01e0\1\224\1\u0158\1\224"+
    "\3\0\4\224\3\0\1\u011a\22\0\1\224\7\0\3\224"+
    "\41\0\1\u01c0\52\0\1\u01e1\26\0\1\u01e1\37\0\1\u01e2"+
    "\67\0\1\u01e3\13\0\1\u01e3\2\0\1\u01e3\43\0\1\u01c7"+
    "\13\0\1\u01c7\2\0\1\u01c7\1\0\1\224\1\u01e4\2\224"+
    "\1\u01e4\1\226\1\u01e4\1\u01e5\1\224\1\u0158\1\224\3\0"+
    "\4\224\1\0\1\u01e6\14\0\1\u01e7\1\0\1\u01e8\1\u019b"+
    "\4\0\1\224\5\0\1\u01e8\1\u019b\1\224\1\u01e9\1\224"+
    "\26\0\1\u01ea\53\0\1\261\105\0\1\u01eb\13\0\1\u01eb"+
    "\2\0\1\u01eb\12\0\1\u016e\52\0\1\u01ad\2\0\1\u01ad"+
    "\1\0\1\u01ad\1\u01cf\1\0\1\u016e\13\0\1\u0131\76\0"+
    "\1\u01cb\52\0\1\u01ec\26\0\1\u01ec\37\0\1\u01ed\67\0"+
    "\1\u01ee\13\0\1\u01ee\2\0\1\u01ee\43\0\1\u01d2\13\0"+
    "\1\u01d2\2\0\1\u01d2\2\0\1\u01ef\2\0\1\u01ef\1\0"+
    "\1\u01ef\1\u01f0\1\0\1\u016e\11\0\1\u01f1\14\0\1\u01f2"+
    "\1\0\1\u01f3\1\u01ab\12\0\1\u01f3\1\u01ab\1\0\1\u01f3"+
    "\20\0\1\307\105\0\1\u01f4\13\0\1\u01f4\2\0\1\u01f4"+
    "\12\0\1\u0184\52\0\1\u01ba\2\0\1\u01ba\1\0\1\u01ba"+
    "\1\u01d9\1\0\1\u0184\13\0\1\u0148\76\0\1\u01d5\52\0"+
    "\1\u01f5\26\0\1\u01f5\37\0\1\u01f6\67\0\1\u01f7\13\0"+
    "\1\u01f7\2\0\1\u01f7\43\0\1\u01dc\13\0\1\u01dc\2\0"+
    "\1\u01dc\2\0\1\u01f8\2\0\1\u01f8\1\0\1\u01f8\1\u01f9"+
    "\1\0\1\u0184\11\0\1\u01fa\14\0\1\u01fb\1\0\1\u01fc"+
    "\1\u01b8\12\0\1\u01fc\1\u01b8\1\0\1\u01fc\36\0\1\u01fd"+
    "\64\0\1\u01fe\15\0\1\u01fe\33\0\1\u01ff\57\0\1\u0200"+
    "\76\0\1\u0201\15\0\1\u0201\6\0\1\u0202\2\0\1\u0202"+
    "\1\0\1\u0202\1\u0203\13\0\1\u01e6\14\0\1\u01e7\1\0"+
    "\1\u01e8\1\u019b\12\0\1\u01e8\1\u019b\1\0\1\u01e8\36\0"+
    "\1\u0204\56\0\1\u0199\26\0\1\u0199\46\0\1\u0205\44\0"+
    "\1\u0206\55\0\1\u0207\100\0\1\u0208\15\0\1\u0208\33\0"+
    "\1\u0209\57\0\1\u020a\76\0\1\u020b\15\0\1\u020b\6\0"+
    "\1\u01ef\2\0\1\u01ef\1\0\1\u01ef\1\u01f0\13\0\1\u01f1"+
    "\14\0\1\u01f2\1\0\1\u01f3\1\u01ab\12\0\1\u01f3\1\u01ab"+
    "\1\0\1\u01f3\36\0\1\u020c\56\0\1\u01a9\26\0\1\u01a9"+
    "\46\0\1\u020d\44\0\1\u020e\73\0\1\u020f\15\0\1\u020f"+
    "\33\0\1\u0210\57\0\1\u0211\76\0\1\u0212\15\0\1\u0212"+
    "\6\0\1\u01f8\2\0\1\u01f8\1\0\1\u01f8\1\u01f9\13\0"+
    "\1\u01fa\14\0\1\u01fb\1\0\1\u01fc\1\u01b8\12\0\1\u01fc"+
    "\1\u01b8\1\0\1\u01fc\36\0\1\u0213\56\0\1\u01b6\26\0"+
    "\1\u01b6\46\0\1\u0214\44\0\1\u0215\62\0\1\u0216\53\0"+
    "\1\u0194\100\0\1\334\4\0\1\u011f\13\0\1\u011f\2\0"+
    "\1\u011f\43\0\1\u0217\13\0\1\u0217\2\0\1\u0217\20\0"+
    "\1\u019e\66\0\1\u0218\61\0\1\u015d\6\0\1\u0219\17\0"+
    "\1\u015d\6\0\1\u0219\36\0\1\u021a\45\0\1\u016c\100\0"+
    "\1\360\4\0\1\u0136\13\0\1\u0136\2\0\1\u0136\43\0"+
    "\1\u021b\13\0\1\u021b\2\0\1\u021b\20\0\1\u0177\66\0"+
    "\1\u021c\61\0\1\u0173\6\0\1\u021d\17\0\1\u0173\6\0"+
    "\1\u021d\36\0\1\u021e\45\0\1\u0182\100\0\1\u0104\4\0"+
    "\1\u014d\13\0\1\u014d\2\0\1\u014d\43\0\1\u021f\13\0"+
    "\1\u021f\2\0\1\u021f\20\0\1\u018d\66\0\1\u0220\61\0"+
    "\1\u0189\6\0\1\u0221\17\0\1\u0189\6\0\1\u0221\36\0"+
    "\1\u0222\47\0\1\u0223\100\0\1\u0224\15\0\1\u0224\47\0"+
    "\1\u0225\13\0\1\u0225\2\0\1\u0225\36\0\1\u0226\53\0"+
    "\1\u0227\73\0\1\u0228\15\0\1\u0228\47\0\1\u0229\13\0"+
    "\1\u0229\2\0\1\u0229\36\0\1\u022a\53\0\1\u022b\73\0"+
    "\1\u022c\15\0\1\u022c\47\0\1\u022d\13\0\1\u022d\2\0"+
    "\1\u022d\36\0\1\u022e\53\0\1\u022f\53\0\1\u019d\102\0"+
    "\1\u0230\15\0\1\u0230\45\0\1\u0231\55\0\1\u01c0\17\0"+
    "\1\u01c0\26\0\1\u01ad\102\0\1\u0232\15\0\1\u0232\45\0"+
    "\1\u0233\55\0\1\u01cb\17\0\1\u01cb\26\0\1\u01ba\102\0"+
    "\1\u0234\15\0\1\u0234\45\0\1\u0235\55\0\1\u01d5\17\0"+
    "\1\u01d5\26\0\1\u0202\107\0\1\u0115\35\0\1\u01ef\107\0"+
    "\1\u012c\35\0\1\u01f8\107\0\1\u0143\16\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[27540];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\5\0\1\11\3\1\1\11\1\1\1\11\1\1\1\11"+
    "\2\1\165\0\1\1\10\0\1\1\4\0\1\11\5\1"+
    "\11\0\1\1\16\0\1\11\13\0\1\1\11\0\1\11"+
    "\1\1\71\0\1\1\47\0\1\1\12\0\1\1\12\0"+
    "\2\1\12\0\1\1\10\0\3\1\10\0\2\1\13\0"+
    "\1\1\22\0\1\1\2\0\1\1\42\0\1\1\14\0"+
    "\1\1\26\0\2\1\5\0\1\1\2\0\2\1\5\0"+
    "\1\1\2\0\2\1\3\0\2\1\3\0\1\1\35\0"+
    "\1\11\33\0\1\11\22\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[565];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	SplitBodies() { }
	
	private StringBuilder buffer = new StringBuilder();
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  public SplitBodies(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
            switch (zzLexicalState) {
            case inHeader: {
              output.append("</mrk:testa>");
		
		return YYEOF;
            }  // fall though
            case 566: break;
            case inBody: {
              //lancia analisi del footer sul buffer, ovvero sul testo dell'ultimo articolo
		
		Footer footer = new Footer();
		
		if(getMarkerDocument().isDebug()) System.out.println("\nRunning footer on:\n" + buffer.toString());
		
		footer.setMarkerDocument(getMarkerDocument());
		footer.setInput(buffer.toString());
		footer.run();
		
		if( !getMarkerDocument().getContext().isInAnnex() && footer.getFormulaFinale().equals("")) {
			
			getMarkerDocument().addWarning("footer non rilevato nel documento principale.");
		}
		
		output.append(footer.getOutput());
		
		return YYEOF;
            }  // fall though
            case 567: break;
            default:
        return YYEOF;
        }
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { output.append("<mrk:testa>" + yytext());
	 
	yybegin(inHeader);
            }
          // fall through
          case 10: break;
          case 2:
            { output.append(yytext());
            }
          // fall through
          case 11: break;
          case 3:
            { buffer.append(yytext());
            }
          // fall through
          case 12: break;
          case 4:
            { output.append("<mrk:corpo>");
		
		buffer.append(yytext());
			
		yybegin(inBody);
            }
          // fall through
          case 13: break;
          case 5:
            { output.append("</mrk:testa>");
	
		yypushback(yylength());
	
		yybegin(inBodyStart);
            }
          // fall through
          case 14: break;
          case 6:
            { //flush del buffer all'inizio di ogni nuovo articolo
		output.append(buffer.toString());
		
		buffer = new StringBuilder();
		
		buffer.append(yytext());
            }
          // fall through
          case 15: break;
          case 7:
            { yypushback(yylength());
	
	yybegin(inBodyStart);
            }
          // fall through
          case 16: break;
          case 8:
            { //Salta l'eventuale intestazione degli allegati
	
	output.append(yytext());
	yybegin(inAnnexHeader);
            }
          // fall through
          case 17: break;
          case 9:
            { output.append(yytext());
		yybegin(0);
            }
          // fall through
          case 18: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java SplitBodies [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        SplitBodies scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new SplitBodies(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
